Skip to content

Update Schedule

PATCH
/api/v1/workflows/schedules/{schedule_id}

Partially update a schedule (toggle enabled, change cron).

Only non-None fields in the request body are applied. Returns 404 if the schedule does not exist or does not belong to the authenticated tenant.

Authorizations

Parameters

Path Parameters

schedule_id
required
string

Request Body required

Request body for partially updating a schedule.

All fields are optional — only provided fields are applied.

Attributes: enabled: New enabled state. cron_expression: New cron expression. params: New parameters dict.

object
cron_expression
Any of:
string
enabled
Any of:
boolean
params
Any of:
object
key
additional properties
any

Responses

200

Successful Response

object
key
additional properties
any

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string